/*
 * Physical addresses for things 
 */

#define EPROM		0xFE800000	/* System EEPROM */
#define CLOCK		0xFEC03000	/* clock and NVRAM (SRAM), not on 8k boundary */
#define VIC		0xFEC01000	/* Clock Tick Timer, not on 8k boundary */
#define SCC1		0xFEC00000	/* SCC for console */
#define STATUS		0XFEC04000	/* 1 nibble status display */
#define	SCC2		0xFEC0B000	/* SCC-2, not on 8k boundary */
#define	SCSI		0xFEC06000	/* WD33C93 scsi */
#define	SCSIADDR	0xFEC07000	/* data buffer offset/start address */
#define	SCSIFIFO	0xFEC05000	/* SCSI buffer FIFO register */
#define	CIO		0xFEC02000	/* CIO registers */
#define	CIO2		0xFEC0C000	/* CIO-2 registers */
#define	VMEBASE		0x01000000	/* VME slots start at 16 Mbytes physical */

/*
 * The IPIN Cheapernet controller
 */
#define IPINBASE	0xFE400000
#define ETHER		(IPINBASE+0x1300)	/* Register data port (RDP) */
#define ETHERIRQVEC	(IPINBASE+0x1401)	/* Register for IRQ vector  */
#define	ETHERADDR	(IPINBASE+0x3081)	/* Non volatile RAM         */

#define	LANCERDP	(ushort*)ETHER
#define	LANCERAP	(ushort*)(ETHER+2)

typedef struct SCCdev	SCCdev;
struct SCCdev
{
	uchar	ptrb;
	uchar	datab;
	uchar	ptra;
	uchar	dataa;
};

#define KMFREQ	10000000	/* crystal frequency for kbd/mouse 8530 */
#define EIAFREQ	5000000		/* crystal frequency for serial port 8530 */


#define	SCCADDR	((SCCdev*)SCC1)
#define	SCC2ADDR ((SCCdev*)SCC2)

typedef struct CIOdev CIOdev;
struct CIOdev {
	uchar	c;
#ifndef ELTECBOTCH
	uchar	b;
	uchar	a;
#else
	uchar	a;	/* Eltec incorrectly exchanged A0 and A1 lines on second CIO */
	uchar	b;
#endif
	uchar	ptr;	/* pointer register */
};
